Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a problem with uninstalling packages that were used by xorg-edgers' version of nvidia drivers that I have installed and after that removed (331.20), e.g.:

$ dpkg -l | grep libxcb
ii  libxcb-composite0:amd64                1.10-1~xedgers~saucy1                            amd64        X C Binding, composite extension
ii  libxcb-dri2-0:amd64                    1.10-1~xedgers~saucy1                            amd64        X C Binding, dri2 extension
ii  libxcb-dri3-0:amd64                    1.10-1~xedgers~saucy1                            amd64        X C Binding, dri3 extension
ii  libxcb-glx0:amd64                      1.10-1~xedgers~saucy1                            amd64        X C Binding, glx extension
ii  libxcb-icccm4:amd64                    0.3.9-2                                          amd64        utility libraries for X C Binding -- icccm
ii  libxcb-image0:amd64                    0.3.9-1ubuntu1                                   amd64        utility libraries for X C Binding -- image
ii  libxcb-keysyms1:amd64                  0.3.9-1                                          amd64        utility libraries for X C Binding -- keysyms
ii  libxcb-present0:amd64                  1.10-1~xedgers~saucy1                            amd64        X C Binding, present extension
ii  libxcb-randr0:amd64                    1.10-1~xedgers~saucy1                            amd64        X C Binding, randr extension
ii  libxcb-render-util0:amd64              0.3.8-1.1                                        amd64        utility libraries for X C Binding -- render-util
ii  libxcb-render0:amd64                   1.10-1~xedgers~saucy1                            amd64        X C Binding, render extension
ii  libxcb-shape0:amd64                    1.10-1~xedgers~saucy1                            amd64        X C Binding, shape extension
ii  libxcb-shm0:amd64                      1.10-1~xedgers~saucy1                            amd64        X C Binding, shm extension
ii  libxcb-sync0:amd64                     1.9.1-3ubuntu1                                   amd64        X C Binding, sync extension
ii  libxcb-sync1:amd64                     1.10-1~xedgers~saucy1                            amd64        X C Binding, sync extension
ii  libxcb-util0:amd64                     0.3.8-2build1                                    amd64        utility libraries for X C Binding -- atom, aux and event
ii  libxcb-xfixes0:amd64                   1.10-1~xedgers~saucy1                            amd64        X C Binding, xfixes extension
ii  libxcb-xv0:amd64                       1.10-1~xedgers~saucy1                            amd64        X C Binding, xv extension
ii  libxcb1:amd64                          1.10-1~xedgers~saucy1                            amd64        X C Binding

That causes other problems with dependencies. Therefore I would like to uninstall them, and install versions provided by Ubuntu, e.g.: https://launchpad.net/ubuntu/saucy/amd64/libxcb1/1.9.1-3ubuntu1

But when I try to remove them (I may as well remove the whole system):

$ sudo apt-get remove libxcb1:amd64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  content-hub deluge-common extlinux fonts-texgyre gir1.2-gconf-2.0 gsettings-ubuntu-touch-schemas icoutils kate-data kde-runtime-data kdelibs5-data libandroid-properties1
  libattica0.4 libboost-program-options1.53.0 libboost-python1.53.0 libc-ares2 libcontent-hub0 libcpufreq0 libdee-qt5-3 libdlrestrictions1 libepub0 libgflags2 libgfortran3 libgif4
  libgoogle-glog0 libgsettings-qt1 libhardware2 libhud2 libhybris libhybris-common1 libkactivities6 libkdecore5 libkjsapi4 libkntlm4 libkonq5-templates libkpty4 liblapack3 libmedia1
  libmikmod2 libmirclient3 libmirprotobuf0 libnepomukcleaner4 libntrack-qt4-1 libntrack0 libofono-qt1 libpam-ck-connector libportmidi0 libqapt2 libqdjango-db0 libqt5organizer5
  libqt5qml-graphicaleffects libqt5systeminfo5 libqt5xmlpatterns5 libreoffice-l10n-en-gb libsmi2ldbl libsoprano4 libstreamanalyzer0 libstreams0 libsystemsettings1 libthreadweaver4
  libtorrent-rasterbar7 libubuntu-application-api1 libubuntu-location-service0 libubuntu-platform-hardware-api1 libubuntudownloadmanager1 libunity-action-qt1 libunwind8
  libupstart-app-launch1 libvirtodbc0 libwireshark-data libwireshark3 libwiretap3 libwsutil3 libzip2 nepomuk-core-data ntrack-module-libnl-0 odbcinst odbcinst1debian2 ofono
  oxygen-icon-theme p7zip-full powerd preview-latex-style ps2eps python-libtorrent python-numpy python3-gnupg python3-sip qtdeclarative5-dee-plugin
  qtdeclarative5-folderlistmodel-plugin qtdeclarative5-gsettings1.0 qtdeclarative5-systeminfo-plugin qtdeclarative5-unity-action-plugin qtdeclarative5-unity-notifications-plugin
  qtdeclarative5-xmllistmodel-plugin shared-desktop-ontologies soprano-daemon sqlite3 syslinux-themes-debian syslinux-themes-debian-wheezy system-image-common system-image-dbus
  tex-gyre ttf-marvosym ubuntu-download-manager ubuntu-mobile-icons ubuntu-touch-sounds ubuntu-ui-toolkit-theme unetbootin-translations usermetricsservice virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common wireshark-common
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  docbook-xml docbook-xsl fonts-droid libencode-locale-perl libfile-listing-perl libfont-afm-perl libgpod4-nogtk libhtml-form-perl libhtml-format-perl libhtml-parser-perl
  libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libio-html-perl liblwp-mediatypes-perl
  liblwp-protocol-https-perl libnet-http-perl librarian0 libwww-perl libwww-robotrules-perl libxml2-utils rarian-compat sgml-data unity-scope-video-remote
Suggested packages:
  docbook docbook-dsssl docbook-defguide dbtoepub docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text docbook-xsl-doc docbook-xsl-saxon fop libsaxon-java libxalan2-java
  libxslthl-java xalan libdata-dump-perl libcrypt-ssleay-perl libauthen-ntlm-perl perlsgml w3-recs opensp
The following packages will be REMOVED:
  account-plugin-google activity-log-manager activity-log-manager-control-center appmenu-qt apport-gtk apturl at-spi2-core bamfdaemon baobab bluez-cups checkbox-qt clementine colord
  compiz compiz-core compiz-gnome compiz-plugins compiz-plugins-default compiz-plugins-extra compizconfig-settings-manager copyq cups dbus-x11 deja-dup deja-dup-backend-gvfs deluge
  deluge-gtk dropbox eog evince evolution-data-server evolution-data-server-goa fbmessenger file-roller firefox flashplugin-installer freerdp-x11 friends friends-dispatcher gconf2 gcr
  gedit ghostscript-x gimp gir1.2-appindicator3-0.1 gir1.2-atspi-2.0 gir1.2-gdata-0.0 gir1.2-gdkpixbuf-2.0 gir1.2-gnomebluetooth-1.0 gir1.2-goa-1.0 gir1.2-gtk-3.0 gir1.2-nautilus-3.0
  gir1.2-notify-0.7 gir1.2-pango-1.0 gir1.2-peas-1.0 gir1.2-rb-3.0 gir1.2-totem-1.0 gir1.2-vte-2.90 gir1.2-webkit-3.0 gir1.2-wnck-3.0 gkbd-capplet gksu gnome-bluetooth
  gnome-calculator gnome-contacts gnome-control-center gnome-control-center-datetime gnome-control-center-signon gnome-control-center-unity gnome-disk-utility gnome-font-viewer
  gnome-icon-theme gnome-icon-theme-symbolic gnome-keyring gnome-mines gnome-power-manager gnome-screensaver gnome-screenshot gnome-session gnome-session-bin gnome-session-canberra
  gnome-settings-daemon gnome-sudoku gnome-system-log gnome-system-monitor gnome-terminal gnome-terminal-data gnome-user-guide gnome-user-share gnomine google-chrome-stable
  grub-customizer gstreamer0.10-plugins-bad gstreamer0.10-plugins-good gstreamer0.10-pulseaudio gstreamer0.10-x gstreamer1.0-clutter gstreamer1.0-plugins-bad gstreamer1.0-plugins-good
  gstreamer1.0-pulseaudio gstreamer1.0-x gtk2-engines-murrine gtk3-engines-unico gucharmap gvfs gvfs-backends gvfs-daemons gvfs-fuse hplip hud humanity-icon-theme ibus ibus-gtk
  ibus-gtk3 ibus-pinyin ibus-table imagemagick indicator-application indicator-appmenu indicator-bluetooth indicator-cpufreq indicator-keyboard indicator-multiload indicator-printers
  indicator-session indicator-sound indicator-sync intel-gpu-tools landscape-client-ui-install language-selector-gnome latex-beamer latex-xcolor latexmk libaa1 libaccount-plugin-1.0-0
  libaccount-plugin-generic-oauth libaccount-plugin-google libappindicator1 libappindicator3-1 libasound2-plugins libatk-adaptor libatk-bridge2.0-0 libatk-bridge2.0-dev libatspi2.0-0
  libaudio2 libcairo-gobject2 libcairo-perl libcairo2 libcairomm-1.0-1 libcanberra-gtk-module libcanberra-gtk0 libcanberra-gtk3-0 libcanberra-gtk3-module libcanberra-pulse
  libcheese-gtk23 libcheese7 libclutter-1.0-0 libclutter-gst-2.0-0 libclutter-gtk-1.0-0 libcogl-pango12 libcogl12 libcompizconfig0 libdbusmenu-gtk3-4 libdbusmenu-gtk4 libdbusmenu-qt2
  libdecoration0 libdmapsharing-3.0-2 libegl1-mesa libegl1-mesa-drivers libespeak1 libevdocument3-4 libevview3-3 libfarstream-0.1-0 libfarstream-0.2-2 libfluidsynth1 libfolks-eds25
  libframe6 libfreerdp-plugins-standard libfreerdp1 libfriends0 libgail-3-0 libgail-common libgail18 libgbm1 libgcr-3-1 libgcr-ui-3-1 libgd3 libgdata13 libgdk-pixbuf2.0-0
  libgegl-0.2-0 libgeis1 libgimp2.0 libgksu2-0 libgl1-mesa-glx libglade2-0 libglamor0 libglew1.8 libglewmx1.8 libglu1-mesa libgnome-bluetooth11 libgnome-control-center1
  libgnome-desktop-3-7 libgnomekbd8 libgoa-1.0-0 libgphoto2-6 libgpod4 libgrail6 libgrip0 libgstreamer-plugins-bad1.0-0 libgtk-3-0 libgtk-3-bin libgtk2-perl libgtk2.0-0 libgtk2.0-bin
  libgtkmm-3.0-1 libgtksourceview-3.0-1 libgucharmap-2-90-7 libgweather-3-3 libgxps2 libido3-0.1-0 libindicator3-7 libindicator7 liblightdm-gobject-1-0 libmagickcore5
  libmagickcore5-extra libmagickwand5 libmetacity-private0a libnautilus-extension1a libnm-gtk0 libnotify-bin libnotify4 libnux-4.0-0 libpam-freerdp libpango-perl libpango1.0-0
  libpangocairo-1.0-0 libpangomm-1.4-1 libpangox-1.0-0 libpangoxft-1.0-0 libpeas-1.0-0 libphonon4 libpocketsphinx1 libpoppler-glib8 libpulse-mainloop-glib0 libpulse0 libpulsedsp
  libpurple0 libqt4-declarative libqt4-designer libqt4-help libqt4-opengl libqt4-scripttools libqt4-svg libqt53d5 libqt5gui5 libqt5location5 libqt5opengl5 libqt5printsupport5
  libqt5quick5 libqt5webkit5 libqt5widgets5 libqtgui4 libqtwebkit4 libreoffice-base-core libreoffice-calc libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk
  libreoffice-help-en-gb libreoffice-help-en-us libreoffice-impress libreoffice-math libreoffice-ogltrans libreoffice-pdfimport libreoffice-presentation-minimizer libreoffice-writer
  librhythmbox-core7 librsvg2-2 librsvg2-common libsane libsdl-image1.2 libsdl-mixer1.2 libsdl-ttf2.0-0 libsdl1.2debian libsmpeg0 libsphinxbase1 libstartup-notification0 libt1-5
  libtelepathy-farstream3 libtimezonemap1 libtotem0 libufe-xidgetter0 libunity-core-6.0-8 libunity-gtk2-parser0 libunity-gtk3-parser0 libunity-misc4 libunity-webapps0 libva-x11-1
  libvdpau1 libvisual-0.4-plugins libvte-2.90-9 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 libwmf0.2-7 libwmf0.2-7-gtk libwnck-3-0 libwnck22 libx11-6 libxaw7 libxcb-composite0
  libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-present0 libxcb-randr0 libxcb-render-util0 libxcb-render0 libxcb-shape0 libxcb-shm0
  libxcb-sync0 libxcb-sync1 libxcb-util0 libxcb-xfixes0 libxcb-xv0 libxcb1 libxcomposite1 libxcursor1 libxdamage1 libxext6 libxfixes3 libxft2 libxi6 libxinerama1 libxkbfile1
  libxklavier16 libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxrender1 libxres1 libxss1 libxt6 libxtst6 libxv1 libxvmc1 libxxf86dga1 libxxf86vm1 libyelp0 libzbar0 light-themes lightdm
  lightdm-remote-session-freerdp lightdm-remote-session-uccsconfigure luatex mousetweaks mythes-en-us nautilus nautilus-image-tools nautilus-sendto nautilus-share
  network-manager-gnome network-manager-openvpn-gnome network-manager-pptp-gnome notify-osd nux-tools nvidia-319-updates nvidia-settings-319-updates obex-data-server onboard
  onboard-data oneconf overlay-scrollbar overlay-scrollbar-gtk2 overlay-scrollbar-gtk3 pgf phonon phonon-backend-gstreamer plymouth-label plymouth-theme-ubuntu-logo policykit-1-gnome
  poppler-utils printer-driver-gutenprint printer-driver-hpcups printer-driver-postscript-hp prosper pulseaudio pulseaudio-module-bluetooth pulseaudio-module-x11 pulseaudio-utils
  python-appindicator python-aptdaemon.gtk3widgets python-cairo python-compizconfig python-gi-cairo python-glade2 python-gnomekeyring python-gtk2 python-nautilus python-notify
  python-pygame python-qt4 python-ubuntu-sso-client python3-aptdaemon.gtk3widgets python3-cairo python3-gi-cairo python3-pyatspi python3-pyqt4 python3-pyqt4.phonon python3-uno
  qt-at-spi remmina remmina-plugin-rdp remmina-plugin-vnc sane-utils screen-resolution-extra seahorse sessioninstaller shotwell signon-plugin-oauth2 signon-ui simple-scan sni-qt
  software-center software-properties-gtk ssh-askpass-gnome steam-launcher system-config-printer-gnome telepathy-haze telepathy-indicator texlive texlive-base texlive-binaries
  texlive-extra-utils texlive-font-utils texlive-fonts-recommended texlive-fonts-recommended-doc texlive-generic-recommended texlive-latex-base texlive-latex-base-doc
  texlive-latex-extra texlive-latex-extra-doc texlive-latex-recommended texlive-latex-recommended-doc texlive-luatex texlive-pictures texlive-pictures-doc texlive-pstricks
  texlive-pstricks-doc tipa tk8.6 tk8.6-lib ubuntu-artwork ubuntu-desktop ubuntu-docs ubuntu-mono ubuntu-release-upgrader-gtk ubuntu-sso-client ubuntu-tweak unetbootin unity
  unity-asset-pool unity-greeter unity-gtk2-module unity-gtk3-module unity-lens-applications unity-scope-calculator unity-scope-manpages unity-services unity-tweak-tool
  unity-webapps-common unity-webapps-service update-manager update-notifier usb-creator-gtk vino vlc vlc-plugin-notify vlc-plugin-pulse wireshark x11-apps x11-session-utils x11-utils
  x11-xfs-utils x11-xkb-utils x11-xserver-utils xauth xdg-user-dirs-gtk xdiagnose xinit xinput xorg xsel xserver-common xserver-xorg xserver-xorg-core xserver-xorg-glamoregl
  xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all
  xserver-xorg-video-ati xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-modesetting
  xserver-xorg-video-neomagic xserver-xorg-video-nouveau xserver-xorg-video-openchrome xserver-xorg-video-qxl xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-s3
  xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-vesa xserver-xorg-video-vmware xterm xul-ext-unity xul-ext-websites-integration yelp zeitgeist zeitgeist-datahub zenity
The following NEW packages will be installed:
  docbook-xml docbook-xsl fonts-droid libencode-locale-perl libfile-listing-perl libfont-afm-perl libgpod4-nogtk libhtml-form-perl libhtml-format-perl libhtml-parser-perl
  libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libio-html-perl liblwp-mediatypes-perl
  liblwp-protocol-https-perl libnet-http-perl librarian0 libwww-perl libwww-robotrules-perl libxml2-utils rarian-compat sgml-data unity-scope-video-remote
0 upgraded, 28 newly installed, 538 to remove and 0 not upgraded.
Need to get 6954 kB of archives.
After this operation, 2338 MB disk space will be freed.
Do you want to continue [Y/n]? 

EDIT

I can try to do this (but it will have more or less the same output):

$ sudo apt-get install libxcb1=1.9.1-3ubuntu1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  content-hub deluge-common extlinux fonts-texgyre gir1.2-gconf-2.0 gsettings-ubuntu-touch-schemas libandroid-properties1 libboost-program-options1.53.0 libboost-python1.53.0
  libc-ares2 libcontent-hub0 libcpufreq0 libdee-qt5-3 libgflags2 libgfortran3 libgoogle-glog0 libgsettings-qt1 libhardware2 libhud2 libhybris libhybris-common1 liblapack3 libmedia1
  libmikmod2 libmirclient3 libmirplatform libmirprotobuf0 libmirserver7 libofono-qt1 libphonon4 libportmidi0 libqdjango-db0 libqt5organizer5 libqt5qml-graphicaleffects
  libqt5systeminfo5 libqt5xmlpatterns5 libreoffice-l10n-en-gb libsdl-mixer1.2 libsdl-ttf2.0-0 libsmi2ldbl libsmpeg0 libsystemsettings1 libthumbnailer0 libtorrent-rasterbar7
  libubuntu-application-api-mirserver1 libubuntu-application-api1 libubuntu-location-service0 libubuntu-platform-hardware-api1 libubuntudownloadmanager1 libunity-action-qt1 libunwind8
  libupstart-app-launch1 libwireshark-data libwireshark3 libwiretap3 libwsutil3 ofono p7zip-full powerd preview-latex-style ps2eps python-compizconfig python-libtorrent python-numpy
  python-pygame python3-gnupg python3-sip qtdeclarative5-dee-plugin qtdeclarative5-folderlistmodel-plugin qtdeclarative5-gsettings1.0 qtdeclarative5-systeminfo-plugin
  qtdeclarative5-unity-action-plugin qtdeclarative5-unity-notifications-plugin qtdeclarative5-xmllistmodel-plugin sqlite3 syslinux-themes-debian syslinux-themes-debian-wheezy
  system-image-common system-image-dbus tex-gyre ttf-marvosym ubuntu-download-manager ubuntu-mobile-icons ubuntu-touch-sounds ubuntu-ui-toolkit-theme unetbootin-translations
  usermetricsservice wireshark-common
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  fonts-droid unity-lens-friends unity-scope-musicstores unity-scope-video-remote
The following packages will be REMOVED:
  account-plugin-google activity-log-manager activity-log-manager-control-center apport-gtk apturl bamfdaemon baobab bluez-cups clementine compiz compiz-gnome compiz-plugins
  compiz-plugins-default compiz-plugins-extra compizconfig-settings-manager copyq cups deja-dup deja-dup-backend-gvfs deluge deluge-gtk dropbox eog evince evolution-data-server
  evolution-data-server-goa fbmessenger file-roller firefox flashplugin-installer gcr gedit gimp gir1.2-appindicator3-0.1 gir1.2-gdata-0.0 gir1.2-gnomebluetooth-1.0 gir1.2-goa-1.0
  gir1.2-gtk-3.0 gir1.2-nautilus-3.0 gir1.2-pango-1.0 gir1.2-peas-1.0 gir1.2-rb-3.0 gir1.2-totem-1.0 gir1.2-vte-2.90 gir1.2-webkit-3.0 gir1.2-wnck-3.0 gkbd-capplet gksu
  gnome-bluetooth gnome-calculator gnome-contacts gnome-control-center gnome-control-center-datetime gnome-control-center-signon gnome-control-center-unity gnome-disk-utility
  gnome-font-viewer gnome-icon-theme gnome-icon-theme-symbolic gnome-keyring gnome-mines gnome-power-manager gnome-screensaver gnome-screenshot gnome-session gnome-session-bin
  gnome-session-canberra gnome-settings-daemon gnome-sudoku gnome-system-log gnome-system-monitor gnome-terminal gnome-user-guide gnome-user-share gnomine google-chrome-stable
  grub-customizer gstreamer0.10-plugins-bad gstreamer0.10-plugins-good gstreamer0.10-x gstreamer1.0-clutter gstreamer1.0-plugins-bad gstreamer1.0-plugins-good gstreamer1.0-x
  gtk2-engines-murrine gtk3-engines-unico gucharmap gvfs gvfs-backends gvfs-daemons gvfs-fuse hplip humanity-icon-theme ibus ibus-gtk ibus-gtk3 ibus-pinyin ibus-table
  indicator-application indicator-appmenu indicator-bluetooth indicator-cpufreq indicator-keyboard indicator-multiload indicator-printers indicator-session indicator-sync
  intel-gpu-tools landscape-client-ui-install language-selector-gnome latex-beamer latex-xcolor latexmk libaccount-plugin-1.0-0 libaccount-plugin-generic-oauth
  libaccount-plugin-google libappindicator1 libappindicator3-1 libcairo-gobject2 libcairo-perl libcairo2 libcairomm-1.0-1 libcanberra-gtk-module libcanberra-gtk0 libcanberra-gtk3-0
  libcanberra-gtk3-module libcheese-gtk23 libcheese7 libclutter-1.0-0 libclutter-gst-2.0-0 libclutter-gtk-1.0-0 libcogl-pango12 libcogl12 libevdocument3-4 libevview3-3
  libfarstream-0.1-0 libfarstream-0.2-2 libfolks-eds25 libgail-3-0 libgail-common libgail18 libgcr-3-1 libgcr-ui-3-1 libgdata13 libgegl-0.2-0 libgimp2.0 libgksu2-0 libgl1-mesa-glx
  libglade2-0 libglamor0 libglew1.8 libglewmx1.8 libglu1-mesa libgnome-bluetooth11 libgnome-control-center1 libgnome-desktop-3-7 libgnomekbd8 libgoa-1.0-0 libgrip0 libgtk-3-0
  libgtk-3-bin libgtk2-perl libgtk2.0-0 libgtk2.0-bin libgtkmm-3.0-1 libgtksourceview-3.0-1 libgucharmap-2-90-7 libgweather-3-3 libgxps2 libido3-0.1-0 libindicator3-7 libindicator7
  libmagickcore5-extra libmetacity-private0a libnautilus-extension1a libnm-gtk0 libnux-4.0-0 libpango-perl libpango1.0-0 libpangocairo-1.0-0 libpangomm-1.4-1 libpeas-1.0-0
  libpoppler-glib8 libpurple0 libqt4-opengl libqt53d5 libqt5gui5 libqt5location5 libqt5opengl5 libqt5printsupport5 libqt5quick5 libqt5webkit5 libqt5widgets5 libqtwebkit4
  libreoffice-base-core libreoffice-calc libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk libreoffice-help-en-gb libreoffice-help-en-us libreoffice-impress
  libreoffice-math libreoffice-ogltrans libreoffice-pdfimport libreoffice-presentation-minimizer libreoffice-writer librhythmbox-core7 librsvg2-2 librsvg2-common
  libtelepathy-farstream3 libtimezonemap1 libtotem0 libufe-xidgetter0 libunity-core-6.0-8 libunity-gtk2-parser0 libunity-gtk3-parser0 libunity-misc4 libunity-webapps0
  libvisual-0.4-plugins libvte-2.90-9 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 libwnck-3-0 libwnck22 libxcb-dri3-0 libxcb-image0 libxcb-shm0 libyelp0 light-themes
  lightdm-remote-session-freerdp lightdm-remote-session-uccsconfigure luatex mousetweaks mythes-en-us nautilus nautilus-image-tools nautilus-sendto nautilus-share
  network-manager-gnome network-manager-openvpn-gnome network-manager-pptp-gnome notify-osd nux-tools nvidia-settings-319-updates onboard onboard-data oneconf overlay-scrollbar
  overlay-scrollbar-gtk2 overlay-scrollbar-gtk3 pgf phonon phonon-backend-gstreamer plymouth-label plymouth-theme-ubuntu-logo policykit-1-gnome poppler-utils printer-driver-gutenprint
  printer-driver-hpcups printer-driver-postscript-hp prosper python-appindicator python-aptdaemon.gtk3widgets python-cairo python-gi-cairo python-glade2 python-gnomekeyring
  python-gtk2 python-nautilus python-notify python-qt4 python-ubuntu-sso-client python3-aptdaemon.gtk3widgets python3-cairo python3-gi-cairo python3-pyatspi python3-pyqt4
  python3-pyqt4.phonon python3-uno remmina remmina-plugin-rdp remmina-plugin-vnc screen-resolution-extra seahorse sessioninstaller shotwell signon-plugin-oauth2 signon-ui simple-scan
  software-center software-properties-gtk ssh-askpass-gnome steam-launcher synaptic system-config-printer-gnome telepathy-haze telepathy-indicator texlive texlive-base
  texlive-binaries texlive-extra-utils texlive-font-utils texlive-fonts-recommended texlive-fonts-recommended-doc texlive-generic-recommended texlive-latex-base texlive-latex-base-doc
  texlive-latex-extra texlive-latex-extra-doc texlive-latex-recommended texlive-latex-recommended-doc texlive-luatex texlive-pictures texlive-pictures-doc texlive-pstricks
  texlive-pstricks-doc tipa ubuntu-artwork ubuntu-desktop ubuntu-docs ubuntu-mono ubuntu-release-upgrader-gtk ubuntu-sso-client ubuntu-tweak unetbootin unity unity-asset-pool
  unity-greeter unity-gtk2-module unity-gtk3-module unity-lens-applications unity-scope-calculator unity-scope-manpages unity-services unity-tweak-tool unity-webapps-common
  unity-webapps-service update-manager update-notifier usb-creator-gtk vino vlc vlc-plugin-notify wireshark x11-utils xdg-user-dirs-gtk xdiagnose xorg xserver-xorg-glamoregl
  xul-ext-unity xul-ext-websites-integration yelp zeitgeist zeitgeist-datahub zenity
The following NEW packages will be installed:
  fonts-droid unity-lens-friends unity-scope-musicstores unity-scope-video-remote
The following packages will be DOWNGRADED:
  libxcb1
0 upgraded, 4 newly installed, 1 downgraded, 357 to remove and 0 not upgraded.
Need to get 3188 kB of archives.
After this operation, 2039 MB disk space will be freed.
Do you want to continue [Y/n]? 
share|improve this question

2 Answers 2

up vote 1 down vote accepted

You have to use ppa-purge then the packages will be correctly downgraded to Ubuntu's repositories versions.

$ sudo ppa-purge xorg-edgers
share|improve this answer

Try sudo apt-get autoremove && sudo apt-get purge *libxcb*

share|improve this answer
    
autoremove returns nothing and your purge line with libxcb\* will pretty much the same big list of packages to remove. –  Patryk Jan 19 at 21:03

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.